%define name 	multisync
%define version 0.82
%define release 4mdk

%define major 	0
%define libname	%mklibname %name %major

%define plugins backup_plugin irmc_sync ldap_plugin opie_sync palm_sync syncml_plugin

Name: 		%{name}
Summary: 	GNOME tool to synchronize PIM data on many devices.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}-1.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://multisync.sourceforge.net/download.shtml
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	bison automake1.7 pkgconfig
BuildRequires:	libldap-devel
#BuildRequires:	evolution-devel
BuildRequires:	bluez-devel
BuildRequires:	irda-utils
BuildRequires:	xpm-devel openobex-devel
BuildRequires:	openssl-devel libsoup-devel
BuildRequires:	curl-devel libpisock-devel

%description
MultiSync is a free modular program to synchronize calendars, addressbooks
and other PIM data between programs on your computer and other computers,
mobile devices, PDAs or cell phones. MultiSync works on any Gnome platform,
such as Linux.

Remote connection of two MultiSync programs is possible via an encrypted
connection over the net. Perfect to synchronize your laptop and stationary
computer, or why not your home and work calendars.

See the available plugins.

%package 	backup
Summary:	Backup plugin for %name
Group: 		Communications

%description 	backup
Backup of your PIM data.

#%package 	evolution
#Summary:	Evolution plugin for %name
#Group: 		Communications

#%description 	evolution
#Ximian Evolution synchronization, supporting calendar, ToDos and
#contacts.

%package 	irmc_bluetooth
Summary:	IrMC_bluetooth plugin for %name
Group: 		Communications

%description 	irmc_bluetooth
IrMC Mobile Client synchronization (supported by e.g. SonyEricsson
T39/T68i, Siemens S45i/S55 phones etc.) via Bluetooth.

%package 	irmc
Summary:	IrMC plugin for %name
Group: 		Communications

%description 	irmc
IrMC Mobile Client synchronization (supported by e.g. SonyEricsson
T39/T68i, Siemens S45i/S55 phones etc.) via IR or cable connection.

%package 	ldap
Summary:	LDAP plugin for %name
Group: 		Communications

%description 	ldap
LDAP synchronization.

%package 	opie
Summary:	Opie plugin for %name
Group: 		Communications

%description 	opie
Opie and Zaurus synchronization.

%package 	palm
Summary:	Palm plugin for %name
Group: 		Communications

%description 	palm
Palm synchronization.

%package 	syncml
Summary:	SyncML plugin for %name
Group: 		Communications

%description 	syncml
SyncML support (supported by e.g. SonyEricsson P800/P900 and many
other phones and devices).

%prep
%setup -q
perl -p -i -e 's/openobex\/obex.h/obex.h/g' `find 'plugins/irmc_sync/'`
rm -f config.guess config.sub depcomp install-sh missing mkinstalldirs
./autogen.sh
autoconf

%build
# sdp lib now included in main bluetooth lib
perl -p -i -e 's|-lsdp|-lbluetooth||g' plugins/irmc_sync/configure
%configure
# -j2 fails
make PLUGINDIR=%_libdir/%name
for dir in %plugins; do
	pushd plugins/${dir}
	autoconf
	%configure --disable-static
	perl -p -i -e 's/PACKAGE_CFLAGS\ \=/PACKAGE_CFLAGS\ \=\ ..\/..\/include/g' Makefile
	perl -p -i -e 's|-lsdp|||g' src/Makefile
	make
	popd
done
										
%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p %buildroot/%_libdir/%name/liblinks
%makeinstall
for dir in %plugins; do
	pushd plugins/${dir}
	%makeinstall
	popd
done
mkdir -p %buildroot/%_libdir/%name
mv %buildroot/%_libdir/lib* %buildroot/%_libdir/%name
rm -fr %buildroot/%_libdir/%name/*.la
#rm -fr %buildroot/%_libdir/%name/liblinks

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="MultiSync" longtitle="Integrates Multiple PIMs" section="More applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post backup -p /sbin/ldconfig
%postun backup -p /sbin/ldconfig
#%post evolution -p /sbin/ldconfig
#%postun evolution -p /sbin/ldconfig
%post irmc_bluetooth -p /sbin/ldconfig
%postun irmc_bluetooth -p /sbin/ldconfig
%post irmc -p /sbin/ldconfig
%postun irmc -p /sbin/ldconfig
%post ldap -p /sbin/ldconfig
%postun ldap -p /sbin/ldconfig
%post opie -p /sbin/ldconfig
%postun opie -p /sbin/ldconfig
%post palm -p /sbin/ldconfig
%postun palm -p /sbin/ldconfig
%post syncml -p /sbin/ldconfig
%postun syncml -p /sbin/ldconfig

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ABOUT-NLS
%{_bindir}/%name
%{_datadir}/%name
%{_includedir}/%name
%{_menudir}/%name
%{_datadir}/applications/%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files 	backup
%defattr(-,root,root)
%{_libdir}/%name/libbackup_plugin.so*

#%files 	evolution
#%defattr(-,root,root)
#%{_libdir}/%name/libevolution_sync.so*

%files 	irmc_bluetooth
%defattr(-,root,root)
%{_libdir}/%name/libirmc_bluetooth.so*

%files 	irmc
%defattr(-,root,root)
%{_libdir}/%name/libirmc_sync.so*

%files 	ldap
%defattr(-,root,root)
%{_libdir}/%name/libldap_plugin.so*

%files 	opie
%defattr(-,root,root)
%{_libdir}/%name/libopie_sync.so*

%files 	palm
%defattr(-,root,root)
%{_libdir}/%name/libpalm_sync.so*

%files 	syncml
%defattr(-,root,root)
%{_libdir}/%name/libsyncml_plugin.so*

%changelog
* Sat Aug 14 2004 Austin Acton <austin@mandrake.org> 0.82-4mdk
- re-enable bluetooth build, without sdp (Charles Bovy)

* Fri Jul 2 2004 Austin Acton <austin@mandrake.org> 0.82-3mdk
- fix stupid bluetooth mistake (thanks to Tobias Haf)
- disable bluetooth for now (won't compile)

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 0.82-2mdk
- fix pointer to plugin dir

* Wed Apr 21 2004 Austin Acton <austin@mandrake.org> 0.82-1mdk
- 0.82
- split plugins into separate packages
- delib buildrequires
- disable evolution until it supports 1.5

* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-3mdk
- Rebuild against latest gtkhtml/gal

* Mon Dec 15 2003 Austin Acton <austin@linux.ca> 0.81-2mdk
- buildrequires curl and pisock (Dirk Siebnich)

* Sat Dec 6 2003 Austin Acton <austin@linux.ca> 0.81-1mdk
- 0.81
- add palm plugin

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.80-1mdk
- 0.80
- many fixes

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.72-3mdk
- DIRM

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.72-2mdk
- buildrelease for libgal23

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 0.72-1mdk
- initial package
